org.eclipse.microprofile.health.tck

## Class CDIProducedProceduresTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.health.tck.TCKBase
    - - org.eclipse.microprofile.health.tck.CDIProducedProceduresTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class CDIProducedProceduresTest
    extends TCKBase

Author:
  Prashanth Gunapalasingam

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.microprofile.health.tck.TCKBase

`TCKBase.Response`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`CDIProducedProceduresTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive` `getDeployment()`
`void` `testFailureReadinessResponsePayload()` Tests that Readiness is down, for Readiness health check procedure defined with CDI Producers.
`void` `testSuccessfulLivenessResponsePayload()` Verifies the liveness and readiness health integration with CDI when the Health Check procedures are defined with CDI Producers.

### Methods inherited from class org.eclipse.microprofile.health.tck.TCKBase

`beforeMethod`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDIProducedProceduresTest

    public CDIProducedProceduresTest()

### Method Detail

#### getDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive getDeployment()

#### testSuccessfulLivenessResponsePayload

    @RunAsClient
    public void testSuccessfulLivenessResponsePayload()

Verifies the liveness and readiness health integration with CDI when the Health Check procedures are defined with CDI Producers.

#### testFailureReadinessResponsePayload

    @RunAsClient
    public void testFailureReadinessResponsePayload()

Tests that Readiness is down, for Readiness health check procedure defined with CDI Producers.